package com.dev.swms.server.service.base;

import java.util.List;

import org.springframework.transaction.annotation.Transactional;

import com.dev.energy.server.service.BaseManager;
import com.dev.swms.server.model.base.Vehicle;

/**
 * 车辆管理
 * @author 44700
 *
 */
@Transactional(readOnly = true)
public interface VehicleManager extends BaseManager{
	
	//添加车辆
	@Transactional
	void saveVehicle(Vehicle v);
		
	//删除供应商
	@Transactional
	void deleteVehicle(List<Long> ids);
	
	//失效
	@Transactional
	void vehicleInvalid(List<Long> ids);
		
	//恢复
	@Transactional
	void vehiclerestore(List<Long> ids);
}
